Package org.apache.cxf.transport

# Class TransportURIResolver

java.lang.Object
org.apache.cxf.resource.ExtendedURIResolver
org.apache.cxf.transport.TransportURIResolver

public class TransportURIResolver extends ExtendedURIResolver

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Bus`
  `bus`

  ### Fields inherited from class org.apache.cxf.resource.ExtendedURIResolver

  `currentResolver, lastestImportUri, resourceOpened`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransportURIResolver(Bus b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputSource`
  `resolve(String curUri, String baseUri)`

  ### Methods inherited from class org.apache.cxf.resource.ExtendedURIResolver

  `close, getLatestImportURI, getURI`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bus

    protected Bus bus

- ## Constructor Details

  - ### TransportURIResolver

    public TransportURIResolver(Bus b)

- ## Method Details

  - ### resolve

    public InputSource resolve(String curUri, String baseUri)
    Overrides:
      `resolve` in class `ExtendedURIResolver`